import 'package:json_annotation/json_annotation.dart';

import '../customTimetableEvent.dart';

part 'addCustomTimetableEventParams.g.dart';

@JsonSerializable(explicitToJson: true)
class AddCustomTimetableEventParams {
  String user;
  CustomTimetableEvent event;

  AddCustomTimetableEventParams(this.user, this.event);

  factory AddCustomTimetableEventParams.fromJson(Map<String, dynamic> json) => _$AddCustomTimetableEventParamsFromJson(json);
  Map<String, dynamic> toJson() => _$AddCustomTimetableEventParamsToJson(this);
}
